@import url("https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

@import url('../components/header/header.css');
@import url('../components/hero/hero.css');
@import url('../components/clour/clour.css');
@import url('../components/feature/feature.css');
@import url('../components/product/product.css');
@import url('../components/boxing/boxing.css');
@import url('../components/maincta/maincta.css');
@import url('../components/footer/footer.css');

/* This is called CSS Custom Properties */
/* https://developer.mozilla.org/en-US/docs/Web/CSS/Using_CSS_custom_properties */
:root {
  --main-bg-color: #ffffff;
  --color-black: #000000;
  --color-white: #ffffff;
  --color-red: #ff4948;
}

html {
  font-family: "Rubik", sans-serif;
  font-size: 16px;
  font-weight: 500;
  background-color: var(--main-bg-color);
  color: var(--color-black);
}

body {
  width: 100%;
  background-color: var(--main-bg-color);
}

.wrapper-red {
  background: linear-gradient(to right, rgb(255, 146, 146), rgb(255, 73, 72));
}

.container {
  max-width: 480px;
  padding-right: 22px;
  padding-left: 22px;
}

.btn {
  border: none;
  border-radius: 62px;
  padding: 15px 30px;
  font-size: 22px;
  font-weight: 500;
  display: block;
  margin: 35px auto;
  width: 330px;
  height: 62px;
}

.mobile-hidden {
  display: none;
}



@media screen and (min-width: 768px) {
  .container {
    max-width: 1150px;
  }

  .header {
    padding-bottom: 0;
  }

  .header .menu {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 270px;
  }

  .header .menu div {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 50px;
    height: 50px;
    background-color: var(--color-white);
    border-radius: 50%;
    position: relative;
  }

  .header .menu-search::after {
    content: "";
    position: absolute;
    right: -60%;
    height: 46px;
    width: 2px;
    background-color: rgba(255, 255, 255, 0.5);
  }

  .header .menu-box::after {
    content: "";
    position: absolute;
    right: -60%;
    height: 46px; 
    width: 2px;
    background-color: rgba(255, 255, 255, 0.5);
  }



  
  .hero-section {
    flex-direction: row;
    align-items: stretch;
    height: 96vh;
  }

  .section-subtitle {
    font-size: 44px;
    font-weight: 700;
    line-height: 130%;
  }

  .hero-info {
    margin-left: 6vw;
    margin-top: 4vh;
  }

  .hero-subtitle {
    margin: 0;
    line-height: 140%;
  }

  .hero-title {
    margin: 0 0 50px 0;
    max-width: 90%;
    font-weight: 700;
    font-size: 96px;
    line-height: 100%;
  }

  .hero-price {
    max-width: 100%;
    justify-content: flex-start;
    margin-bottom: 30px;
  }

  .hero-price-new::after {
    right: -33px;
  }

  .hero-price-old {
    margin-left: 60px;
  }

  .button-white {
    margin: 35px 0 129px;
    width: 191px;
    height: 61px;
  }




  .clour-container {
    width: 100%;
    margin-bottom: 42px;
  }

  .clour-headphones {
    display: flex;
    align-items: center;
    height: 424px;
    width: 70%;
    margin: 0 auto;
    position: relative;
  }

  .clour-slide {
    display: block;
    width: 454px;
    height: 424px;
    position: absolute;
    z-index: 0;
    border-radius: 30px;
    background-size: contain;
    transition: all 0.3s ease-in-out;
  }

  .slide-2 {
    height: 302px;
    width: 324px;
    left: 10%;
    transform: translateX(-50%);
  }

  .slide-1 {
    width: 454px;
    height: 424px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 2;
    filter: drop-shadow(0px 21px 88px rgba(126, 118, 118, 0.2));
  }

  .slide-3 {
    height: 302px;
    width: 324px;
    left: 90%;
    transform: translateX(-50%);
  }

  .arrow-left {
    left: 10%;
  }

  .arrow-right {
    right: 10%;
  }



  .feature-section {
    display: flex;
    margin: 120px auto 0 auto;
  }

  .feature-img {
    margin: auto;
    width: 100%;
    height: 474px;
  }

  .boxing-section {
    flex-direction: row;
    margin-top: 130px;
  }

  .boxing-section .img {
    width: 662px;
    height: 577px;
  }

  .boxing-info {
    max-width: 390px;
  }



  .mainCta {
    width: 712px;
    height: 292px;
  }

  .mainCta .cta-button {
    display: flex;
    position: relative;
  }

  .mainCta input {
    width: 503px;
    height: 61px;
  }

  .mainCta .button-red {
    width: 167px;
    height: 61px;
    position: absolute;
    right: 0;
    bottom: -55%;
  }

  .nav-menu {
    display: flex;
  }

  ul {
    list-style-type: none;
    padding: 0;
  }

  .nav-item {
    padding-left: 30px;
  }

  .nav-item a {
    text-decoration: none;
    color: var(--color-white);
  }
}

@media screen and (min-width: 1024px) {
  .mobile-hidden {
    display: block;
  }
}



